Bug 802918 - [RFE] Add a note to the cumin-database install section that suggests running cumin-admin upgrade-schema for existing databases
[RFE] Add a note to the cumin-database install section that suggests running ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Management_Console_Installation_Guide (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity low
: 2.2
: ---
Assigned To: Cheryn Tan
ecs-bugs
: FutureFeature
Depends On:
Blocks: 794516
  Show dependency treegraph
 
Reported: 2012-03-13 14:41 EDT by Trevor McKay
Modified: 2014-06-18 03:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 21:01:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against Installation.xml to add instruction for cumin-admin upgrade-schema (591 bytes, patch)
2012-03-16 17:32 EDT, Trevor McKay
no flags Details | Diff

  None (edit)
Description Trevor McKay 2012-03-13 14:41:36 EDT
Description of problem:

For users updating the cumin package on top of an existing install, the MCIG should suggest that they run "cumin-admin upgrade-schema" instead of "cumin-database install".  The latter will tell them that the database is already installed and will do nothing, the former *may* be required for cumin to run after the update.

There won't always be schema changes in a release, but if there are and the upgrade command is not run the service will fail on start up with messages in the log files noting that the upgrade should be run.  The command will return with "nothing to do" if there is indeed nothing to do.
Comment 2 Trevor McKay 2012-03-16 17:32:36 EDT
Created attachment 570709 [details]
Patch against Installation.xml to add instruction for cumin-admin upgrade-schema

Note You need to log in before you can comment on or make changes to this bug.